Package com.saxonica.ee.extfn

## Class VendorFunctionSetEE

- java.lang.Object
- - net.sf.saxon.functions.registry.BuiltInFunctionSet
  - - com.saxonica.ee.extfn.VendorFunctionSetEE

- All Implemented Interfaces:
    `FunctionLibrary`

      public class VendorFunctionSetEE
      extends BuiltInFunctionSet

  The VendorFunctionLibraryEE represents additions to the set of Saxon vendor-supplied extension functions that are available only with the Saxon-EE edition

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.sf.saxon.functions.registry.BuiltInFunctionSet

      `BuiltInFunctionSet.Entry`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected EnterpriseConfiguration` | `config` |

    - ### Fields inherited from class net.sf.saxon.functions.registry.BuiltInFunctionSet

      `ABS, AS_ARG0, AS_PRIM_ARG0, BASE, CARD0, CDOC, CITEM, DCOLL, DEPENDS_ON_STATIC_CONTEXT, DLANG, EMPTY, FILTER, FOCUS, INS, LAST, LATE, NAV, NEW, NS, ONE, OPT, PLUS, POSN, SIDE, STAR, TRA, UO`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `VendorFunctionSetEE​(EnterpriseConfiguration config)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getConventionalPrefix()` | Return a conventional prefix for use with this namespace, typically the prefix used in the documentation of these functions.
    `java.lang.String` | `getNamespace()` | Return the namespace URI for the functions local to this function set.

    - ### Methods inherited from class net.sf.saxon.functions.registry.BuiltInFunctionSet

      `bind, copy, getFunctionDetails, getFunctionItem, importFunctionSet, isAvailable, makeFunction, register, registerReducedArityVariants`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.saxon.functions.FunctionLibrary

      `setConfiguration`

- - ### Field Detail

    - #### config

          protected EnterpriseConfiguration config

  - ### Constructor Detail

    - #### VendorFunctionSetEE

          public VendorFunctionSetEE​(EnterpriseConfiguration config)

  - ### Method Detail

    - #### getNamespace

          public java.lang.String getNamespace()

      Return the namespace URI for the functions local to this function set.
      Overrides:
        `getNamespace` in class `BuiltInFunctionSet`
      Returns:
        the namespace URI of the functions local to this function set. Note that functions imported from another function set may have a different namespace URI.

    - #### getConventionalPrefix

          public java.lang.String getConventionalPrefix()

      Description copied from class: `BuiltInFunctionSet`
      Return a conventional prefix for use with this namespace, typically the prefix used in the documentation of these functions.
      Overrides:
        `getConventionalPrefix` in class `BuiltInFunctionSet`